summaryrefslogtreecommitdiffstats
path: root/remote/modules
diff options
context:
space:
mode:
Diffstat (limited to 'remote/modules')
-rwxr-xr-xremote/modules/vmchooser/data/opt/openslx/scripts/vmchooser-xml_filter8
1 files changed, 4 insertions, 4 deletions
diff --git a/remote/modules/vmchooser/data/opt/openslx/scripts/vmchooser-xml_filter b/remote/modules/vmchooser/data/opt/openslx/scripts/vmchooser-xml_filter
index 3e0ee42d..fad8c064 100755
--- a/remote/modules/vmchooser/data/opt/openslx/scripts/vmchooser-xml_filter
+++ b/remote/modules/vmchooser/data/opt/openslx/scripts/vmchooser-xml_filter
@@ -56,11 +56,12 @@ function handlePersistentVM() {
for FILE in $(find -L "$1" -iname "*.xml"); do
# filter all xmls which aren't set active
- if [ $(grep "<active param=.*true.*" "$FILE" | wc -l) -eq 1 ]; then
+ grep -i -q "<active param=.*true.*" "$FILE" || continue
+ # HACK: filter all virtualbox images, as vbox is not ready yet
+ grep -i -q "<virtualmachine param=.*virtualbox.*" "$FILE" && continue
if [ -n "${vmchooser_env}" ]; then
# filter all xmls with pool-param not equal to vmchooser::env
- if [ $(grep "<pools param=\"${vmchooser_env}\"" "$FILE" | wc -l) -eq 1 ]
- then
+ if [ $(grep "<pools param=\"${vmchooser_env}\"" "$FILE" | wc -l) -eq 1 ]; then
handlePersistentVM "$FILE"
echo "$FILE"
fi
@@ -69,5 +70,4 @@ for FILE in $(find -L "$1" -iname "*.xml"); do
# if there is no pool set, just take all available xmls
echo "$FILE"
fi
- fi
done